-- 基础信息
base_info = {
	group_id = 133002121
}

-- Trigger变量
defs = {
	gadget_prison = 121001,
	duration = 210,
	rampage_time = 40,
	eye_point = 121068
}

-- DEFS_MISCS
local energy_info = {
        [1] = { time = 100, step = {-30,30},points = { 121073, 121074, 121075, 121076, 121077, 121078}},
        --[2] = { time = 180, step = {-1,1},points = {5075,5076,5077,5078,5079,5080}},
}
--这个group对应的图用哪些，这里就填哪些（对应关系请咨询TD）
local disguiseList = {7,8,23}

--================================================================
--
-- 配置
--
--================================================================

-- 怪物
monsters = {
}

-- NPC
npcs = {
}

-- 装置
gadgets = {
	[121001] = { config_id = 121001, gadget_id = 70800087, pos = { x = 1775.350, y = 221.863, z = -388.266 }, rot = { x = 0.000, y = 28.000, z = 0.000 }, level = 10, area_id = 3 },
	[121005] = { config_id = 121005, gadget_id = 44000256, pos = { x = 1789.656, y = 221.863, z = -396.711 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1, area_id = 3 },
	[121006] = { config_id = 121006, gadget_id = 44000256, pos = { x = 1789.069, y = 221.863, z = -398.840 }, rot = { x = 0.000, y = 30.000, z = 0.000 }, level = 1, area_id = 3 },
	[121007] = { config_id = 121007, gadget_id = 44000256, pos = { x = 1791.007, y = 223.178, z = -391.660 }, rot = { x = 0.000, y = 30.000, z = 0.000 }, level = 1, area_id = 3 },
	[121008] = { config_id = 121008, gadget_id = 44000256, pos = { x = 1780.870, y = 223.179, z = -385.709 }, rot = { x = 0.000, y = 30.000, z = 0.000 }, level = 1, area_id = 3 },
	[121009] = { config_id = 121009, gadget_id = 44000256, pos = { x = 1773.836, y = 223.179, z = -382.124 }, rot = { x = 0.000, y = 28.000, z = 0.000 }, level = 1, area_id = 3 },
	[121010] = { config_id = 121010, gadget_id = 44000256, pos = { x = 1764.072, y = 223.288, z = -376.610 }, rot = { x = 0.000, y = 30.000, z = 0.000 }, level = 1, area_id = 3 },
	[121011] = { config_id = 121011, gadget_id = 44000256, pos = { x = 1755.556, y = 223.194, z = -380.957 }, rot = { x = 0.000, y = 30.000, z = 0.000 }, level = 1, area_id = 3 },
	[121012] = { config_id = 121012, gadget_id = 44000256, pos = { x = 1750.313, y = 223.194, z = -390.849 }, rot = { x = 0.000, y = 30.000, z = 0.000 }, level = 1, area_id = 3 },
	[121013] = { config_id = 121013, gadget_id = 44000256, pos = { x = 1741.922, y = 223.194, z = -406.035 }, rot = { x = 0.000, y = 30.000, z = 0.000 }, level = 1, area_id = 3 },
	[121014] = { config_id = 121014, gadget_id = 44000256, pos = { x = 1743.274, y = 223.178, z = -417.072 }, rot = { x = 0.000, y = 55.000, z = 0.000 }, level = 1, area_id = 3 },
	[121015] = { config_id = 121015, gadget_id = 44000256, pos = { x = 1751.160, y = 223.178, z = -424.405 }, rot = { x = 0.000, y = 40.000, z = 0.000 }, level = 1, area_id = 3 },
	[121016] = { config_id = 121016, gadget_id = 44000256, pos = { x = 1759.687, y = 223.178, z = -430.434 }, rot = { x = 0.000, y = 30.000, z = 0.000 }, level = 1, area_id = 3 },
	[121017] = { config_id = 121017, gadget_id = 44000256, pos = { x = 1769.260, y = 223.178, z = -431.330 }, rot = { x = 0.000, y = 355.000, z = 0.000 }, level = 1, area_id = 3 },
	[121018] = { config_id = 121018, gadget_id = 44000256, pos = { x = 1781.023, y = 223.178, z = -425.475 }, rot = { x = 0.000, y = 30.000, z = 0.000 }, level = 1, area_id = 3 },
	[121019] = { config_id = 121019, gadget_id = 44000256, pos = { x = 1786.133, y = 223.178, z = -415.612 }, rot = { x = 0.000, y = 30.000, z = 0.000 }, level = 1, area_id = 3 },
	[121020] = { config_id = 121020, gadget_id = 44000256, pos = { x = 1794.791, y = 218.308, z = -379.162 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1, area_id = 3 },
	[121021] = { config_id = 121021, gadget_id = 44000256, pos = { x = 1789.504, y = 218.802, z = -377.010 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1, area_id = 3 },
	[121022] = { config_id = 121022, gadget_id = 44000256, pos = { x = 1788.078, y = 223.046, z = -391.288 }, rot = { x = 0.000, y = 90.000, z = 0.000 }, level = 1, area_id = 3 },
	[121023] = { config_id = 121023, gadget_id = 44000256, pos = { x = 1774.049, y = 220.084, z = -374.142 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1, area_id = 3 },
	[121024] = { config_id = 121024, gadget_id = 44000256, pos = { x = 1775.930, y = 220.469, z = -370.901 }, rot = { x = 0.000, y = 15.000, z = 0.000 }, level = 1, area_id = 3 },
	[121025] = { config_id = 121025, gadget_id = 44000256, pos = { x = 1801.080, y = 221.796, z = -404.981 }, rot = { x = 0.000, y = 42.000, z = 0.000 }, level = 1, area_id = 3 },
	[121026] = { config_id = 121026, gadget_id = 44000256, pos = { x = 1802.491, y = 223.026, z = -402.903 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1, area_id = 3 },
	[121027] = { config_id = 121027, gadget_id = 44000257, pos = { x = 1771.970, y = 216.871, z = -362.915 }, rot = { x = 0.000, y = 15.000, z = 0.000 }, level = 1, area_id = 3 },
	[121028] = { config_id = 121028, gadget_id = 44000257, pos = { x = 1770.953, y = 216.762, z = -362.062 }, rot = { x = 0.000, y = 1.000, z = 0.000 }, level = 1, area_id = 3 },
	[121029] = { config_id = 121029, gadget_id = 44000257, pos = { x = 1769.817, y = 216.779, z = -361.713 }, rot = { x = 0.000, y = 78.000, z = 0.000 }, level = 1, area_id = 3 },
	[121030] = { config_id = 121030, gadget_id = 44000257, pos = { x = 1744.136, y = 166.834, z = -382.543 }, rot = { x = 0.000, y = 56.000, z = 0.000 }, level = 1, area_id = 3 },
	[121031] = { config_id = 121031, gadget_id = 44000257, pos = { x = 1742.834, y = 187.804, z = -380.372 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1, area_id = 3 },
	[121032] = { config_id = 121032, gadget_id = 44000257, pos = { x = 1740.814, y = 168.973, z = -382.585 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1, area_id = 3 },
	[121033] = { config_id = 121033, gadget_id = 44000257, pos = { x = 1798.216, y = 222.026, z = -412.845 }, rot = { x = 0.000, y = 89.000, z = 0.000 }, level = 1, area_id = 3 },
	[121034] = { config_id = 121034, gadget_id = 44000257, pos = { x = 1800.557, y = 221.343, z = -411.868 }, rot = { x = 0.000, y = 5.000, z = 0.000 }, level = 1, area_id = 3 },
	[121035] = { config_id = 121035, gadget_id = 44000257, pos = { x = 1799.494, y = 221.529, z = -410.719 }, rot = { x = 0.000, y = 55.000, z = 0.000 }, level = 1, area_id = 3 },
	[121036] = { config_id = 121036, gadget_id = 44000257, pos = { x = 1798.884, y = 221.639, z = -409.272 }, rot = { x = 0.000, y = 45.000, z = 0.000 }, level = 1, area_id = 3 },
	[121037] = { config_id = 121037, gadget_id = 44000257, pos = { x = 1797.800, y = 218.205, z = -379.157 }, rot = { x = 0.000, y = 24.000, z = 0.000 }, level = 1, area_id = 3 },
	[121038] = { config_id = 121038, gadget_id = 44000257, pos = { x = 1796.115, y = 218.288, z = -377.784 }, rot = { x = 0.000, y = 76.000, z = 0.000 }, level = 1, area_id = 3 },
	[121039] = { config_id = 121039, gadget_id = 44000257, pos = { x = 1776.159, y = 219.614, z = -374.647 }, rot = { x = 0.000, y = 96.000, z = 0.000 }, level = 1, area_id = 3 },
	[121040] = { config_id = 121040, gadget_id = 44000257, pos = { x = 1772.674, y = 219.570, z = -372.575 }, rot = { x = 0.000, y = 123.000, z = 0.000 }, level = 1, area_id = 3 },
	[121041] = { config_id = 121041, gadget_id = 44000257, pos = { x = 1752.460, y = 218.085, z = -367.738 }, rot = { x = 0.000, y = 324.000, z = 0.000 }, level = 1, area_id = 3 },
	[121042] = { config_id = 121042, gadget_id = 44000257, pos = { x = 1754.476, y = 218.933, z = -369.820 }, rot = { x = 0.000, y = 11.000, z = 0.000 }, level = 1, area_id = 3 },
	[121043] = { config_id = 121043, gadget_id = 44000257, pos = { x = 1762.882, y = 218.443, z = -367.150 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1, area_id = 3 },
	[121044] = { config_id = 121044, gadget_id = 44000257, pos = { x = 1761.297, y = 217.696, z = -364.589 }, rot = { x = 0.000, y = 23.000, z = 0.000 }, level = 1, area_id = 3 },
	[121045] = { config_id = 121045, gadget_id = 44000257, pos = { x = 1762.923, y = 220.117, z = -371.924 }, rot = { x = 0.000, y = 183.000, z = 0.000 }, level = 1, area_id = 3 },
	[121046] = { config_id = 121046, gadget_id = 44000257, pos = { x = 1787.059, y = 221.863, z = -410.508 }, rot = { x = 0.000, y = 33.000, z = 0.000 }, level = 1, area_id = 3 },
	[121047] = { config_id = 121047, gadget_id = 44000257, pos = { x = 1788.519, y = 221.863, z = -408.995 }, rot = { x = 0.000, y = 45.000, z = 0.000 }, level = 1, area_id = 3 },
	[121048] = { config_id = 121048, gadget_id = 44000257, pos = { x = 1753.063, y = 221.863, z = -393.370 }, rot = { x = 0.000, y = 111.000, z = 0.000 }, level = 1, area_id = 3 },
	[121049] = { config_id = 121049, gadget_id = 44000257, pos = { x = 1751.302, y = 221.863, z = -394.632 }, rot = { x = 0.000, y = 77.000, z = 0.000 }, level = 1, area_id = 3 },
	[121050] = { config_id = 121050, gadget_id = 44000257, pos = { x = 1752.297, y = 221.863, z = -391.601 }, rot = { x = 0.000, y = 34.000, z = 0.000 }, level = 1, area_id = 3 },
	[121061] = { config_id = 121061, gadget_id = 70310055, pos = { x = 1766.288, y = 211.853, z = -388.984 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1, area_id = 3 },
	[121065] = { config_id = 121065, gadget_id = 70310008, pos = { x = 1754.400, y = 215.470, z = -408.000 }, rot = { x = 90.000, y = 27.000, z = 0.000 }, level = 1, area_id = 3 },
	[121066] = { config_id = 121066, gadget_id = 70310008, pos = { x = 1757.740, y = 215.470, z = -409.700 }, rot = { x = 90.000, y = 27.000, z = 0.000 }, level = 1, area_id = 3 }
}

-- 区域
regions = {
	[121067] = { config_id = 121067, shape = RegionShape.SPHERE, radius = 200, pos = { x = 1776.720, y = 221.863, z = -385.954 }, area_id = 3 },
	[121068] = { config_id = 121068, shape = RegionShape.SPHERE, radius = 80, pos = { x = 1762.064, y = 221.990, z = -385.745 }, area_id = 3 }
}

-- 触发器
triggers = {
}

-- 点位
points = {
	-- 猎手出生点
	{ config_id = 121069, pos = { x = 1775.376, y = 221.863, z = -388.318 }, rot = { x = 0.000, y = 28.000, z = 0.000 }, area_id = 3 },
	-- 游侠出生点1
	{ config_id = 121070, pos = { x = 1781.964, y = 220.406, z = -381.205 }, rot = { x = 0.000, y = 28.000, z = 0.000 }, area_id = 3 },
	-- 游侠出生点2
	{ config_id = 121071, pos = { x = 1779.834, y = 220.147, z = -379.495 }, rot = { x = 0.000, y = 28.000, z = 0.000 }, area_id = 3 },
	-- 游侠出生点3
	{ config_id = 121072, pos = { x = 1776.827, y = 220.407, z = -378.220 }, rot = { x = 0.000, y = 28.000, z = 0.000 }, area_id = 3 },
	-- 能量随机点1
	{ config_id = 121073, pos = { x = 1797.611, y = 221.213, z = -396.921 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, area_id = 3 },
	-- 能量随机点1
	{ config_id = 121074, pos = { x = 1776.564, y = 224.511, z = -412.960 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, area_id = 3 },
	-- 能量随机点1
	{ config_id = 121075, pos = { x = 1758.809, y = 221.104, z = -374.806 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, area_id = 3 },
	-- 能量随机点1
	{ config_id = 121076, pos = { x = 1760.024, y = 222.126, z = -416.933 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, area_id = 3 },
	-- 能量随机点1
	{ config_id = 121077, pos = { x = 1792.469, y = 222.024, z = -379.756 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, area_id = 3 },
	-- 能量随机点1
	{ config_id = 121078, pos = { x = 1744.400, y = 221.863, z = -402.698 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, area_id = 3 }
}

-- 变量
variables = {
}

--================================================================
--
-- 初始化配置
--
--================================================================

-- 初始化时创建
init_config = {
	suite = 1,
	end_suite = 0,
	rand_suite = false
}

--================================================================
--
-- 小组配置
--
--================================================================

suites = {
	{
		-- suite_id = 1,
		-- description = ,
		monsters = { },
		gadgets = { 121001 },
		regions = { 121067, 121068 },
		triggers = { },
		rand_weight = 100
	},
	{
		-- suite_id = 2,
		-- description = ,
		monsters = { },
		gadgets = { 121005, 121006, 121007, 121008, 121009, 121010, 121011, 121012, 121013, 121014, 121015, 121016, 121017, 121018, 121019, 121020, 121021, 121022, 121023, 121024, 121025, 121026, 121027, 121028, 121029, 121030, 121031, 121032, 121033, 121034, 121035, 121036, 121037, 121038, 121039, 121040, 121041, 121042, 121043, 121044, 121045, 121046, 121047, 121048, 121049, 121050 },
		regions = { },
		triggers = { },
		rand_weight = 100
	},
	{
		-- suite_id = 3,
		-- description = ,
		monsters = { },
		gadgets = { 121061, 121065, 121066 },
		regions = { },
		triggers = { },
		rand_weight = 100
	},
	{
		-- suite_id = 4,
		-- description = ,
		monsters = { },
		gadgets = { },
		regions = { },
		triggers = { },
		rand_weight = 100
	}
}

--================================================================
--
-- 触发器
--
--================================================================

require "V3_3/HideAndSeek_Gallery_V3"
require "V3_3/HideAndSeek_Skill_V3"
